      SUBROUTINE GUPHAD
C get interaction probability
      implicit none
       include 'mcflags.inc'

      IF (HPMOD.eq.1) then
C      CALL CALSIG
       CALL FLDIST

      ELSEIF (HPMOD.eq.2) then
       CALL FLDIST
      ELSEIF (HPMOD.eq.3) then
       CALL GPGHEI
      ENDIF

      RETURN
      END
